// Saisonale Einstellungen
var sSaison = "2018/19";
var sMailto = "sportwart-karambol@westfalenbillard.de";

// Bei true werden die Verbandsdaten auf Konsistenz geprüft;
// sollte mindestens einmal vor Veröffentlichung geschehen!
var bCheckDataConsistency = true;


//
// Disziplinen
//
// Pro Disziplin eine Zeile der Form:
//   Disziplinkürzel: Name
var oDisziplin =
{
    fp:  "Freie Partie",
    eb:  "Einband",
    c35: "Cadre 35/2",
    c47: "Cadre 47/2",
    c52: "Cadre 52/2",
    c71: "Cadre 71/2",
    db:  "Dreiband"
};


//
// Kategoriekürzel
//
// Pro Kategoriekürzel ein Langname für Zuordnung oKlasse <-> oTeam.
var oKat =
{
    " ": "technik",
    "D": "dreiband",
    "G": "dbgrosz",
    "M": "mkgrosz",

    "-1": "--- unbekannt ---"
};
// inverse Kategorieliste bauen
var oRevKat = {};
for (var i in oKat)
{
  if (i != -1)
    oRevKat[oKat[i]] = i;
}


//
// Spielklassen
//
// Pro Klasse ein Eintrag der Form:
//   Klasse: { name: "Name", kat: Kategoriekürzel der Disziplin
//             partie: [ [ Disziplin Brett 1, Ballzahl, Aufnahmen, Faktor Ballzahl, Faktor Aufnahmen], …, 
//                       [ Disziplin Brett 4: Ballzahl, Aufnahmen, Faktor Ballzahl, Faktor Aufnahmen] ],
//             nk: Nachkommastellen bei Schnittberechnungen}
var oKlasse = 
{
    0:    {name: "Oberliga Mehrkampf",             kat: " ", partie: [ [ "fp",  250, 15, 1, 1 ], [ "eb",  100, 25,  8, 1 ], [ "c35", 200, 15, 2, 1 ], [ "c52", 150, 15, 3, 1 ] ], nk: 2},
    1:    {name: "Verbandsliga Zweikampf Gr. A",   kat: " ", partie: [ [ "fp",  200, 20, 1, 1 ], [ "c35", 150, 20,  2, 1 ], [ "fp",  200, 20, 1, 1 ], [ "c35", 150, 20, 2, 1 ] ], nk: 2},
    2:    {name: "Verbandsliga Zweikampf Gr. B",   kat: " ", partie: [ [ "fp",  200, 20, 1, 1 ], [ "c35", 150, 20,  2, 1 ], [ "fp",  200, 20, 1, 1 ], [ "c35", 150, 20, 2, 1 ] ], nk: 2},
    3:    {name: "Landesliga Gr. A",     		   kat: " ", partie: [ [ "fp",  125, 25, 1, 1 ], [ "fp",  125, 25,  1, 1 ], [ "fp",  125, 25, 1, 1 ], [ "fp",  125, 25, 1, 1 ] ], nk: 2},
    4:    {name: "Landesliga Gr. B",               kat: " ", partie: [ [ "fp",  125, 25, 1, 1 ], [ "fp",  125, 25,  1, 1 ], [ "fp",  125, 25, 1, 1 ], [ "fp",  125, 25, 1, 1 ] ], nk: 2},
    5:    {name: "Bezirksliga Gr. A",              kat: " ", partie: [ [ "fp",  100, 25, 1, 1 ], [ "fp",  100, 25,  1, 1 ], [ "fp",  100, 25, 1, 1 ], [ "fp",  100, 25, 1, 1 ] ], nk: 2},
    6:    {name: "Bezirksliga Gr. B",              kat: " ", partie: [ [ "fp",  100, 25, 1, 1 ], [ "fp",  100, 25,  1, 1 ], [ "fp",  100, 25, 1, 1 ], [ "fp",  100, 25, 1, 1 ] ], nk: 2},
    7:    {name: "Kreisliga Gr. A",                kat: " ", partie: [ [ "fp",   75, 25, 1, 1 ], [ "fp",   75, 25,  1, 1 ], [ "fp",   75, 25, 1, 1 ], [ "fp",   75, 25, 1, 1 ] ], nk: 2},
    8:    {name: "Kreisliga Gr. B",                kat: " ", partie: [ [ "fp",   75, 25, 1, 1 ], [ "fp",   75, 25,  1, 1 ], [ "fp",   75, 25, 1, 1 ], [ "fp",   75, 25, 1, 1 ] ], nk: 2},
    9:    {name: "Kreisklasse Gr. A",              kat: " ", partie: [ [ "fp",   50, 25, 1, 1 ], [ "fp",   50, 25,  1, 1 ], [ "fp",   50, 25, 1, 1 ], [ "fp",   50, 25, 1, 1 ] ], nk: 2},
    10:   {name: "Kreisklasse Gr. B",              kat: " ", partie: [ [ "fp",   50, 25, 1, 1 ], [ "fp",   50, 25,  1, 1 ], [ "fp",   50, 25, 1, 1 ], [ "fp",   50, 25, 1, 1 ] ], nk: 2},
    11:   {name: "Oberliga Dreiband",              kat: "D", partie: [ [ "db",   60, 40, 1, 1 ], [ "db",   60, 40,  1, 1 ], [ "db",   60, 40, 1, 1 ], [ "db",   60, 40, 1, 1 ] ], nk: 3},
    12:   {name: "Verbandsliga Dreiband",          kat: "D", partie: [ [ "db",   50, 40, 1, 1 ], [ "db",   50, 40,  1, 1 ], [ "db",   50, 40, 1, 1 ], [ "db",   50, 40, 1, 1 ] ], nk: 3},
    13:   {name: "Landesliga Dreiband Gr. A",      kat: "D", partie: [ [ "db",   40, 40, 1, 1 ], [ "db",   40, 40,  1, 1 ], [ "db",   40, 40, 1, 1 ], [ "db",   40, 40, 1, 1 ] ], nk: 3},
    14:   {name: "Landesliga Dreiband Gr. B",      kat: "D", partie: [ [ "db",   40, 40, 1, 1 ], [ "db",   40, 40,  1, 1 ], [ "db",   40, 40, 1, 1 ], [ "db",   40, 40, 1, 1 ] ], nk: 3},
    15:   {name: "Bezirksliga Dreiband Gr. A",     kat: "D", partie: [ [ "db",   35, 40, 1, 1 ], [ "db",   35, 40,  1, 1 ], [ "db",   35, 40, 1, 1 ], [ "db",   35, 40, 1, 1 ] ], nk: 3},
    16:   {name: "Bezirksliga Dreiband Gr. B",     kat: "D", partie: [ [ "db",   35, 40, 1, 1 ], [ "db",   35, 40,  1, 1 ], [ "db",   35, 40, 1, 1 ], [ "db",   35, 40, 1, 1 ] ], nk: 3},
    17:   {name: "Bezirksklasse Dreiband Gr. A",   kat: "D", partie: [ [ "db",   30, 40, 1, 1 ], [ "db",   30, 40,  1, 1 ], [ "db",   30, 40, 1, 1 ], [ "db",   30, 40, 1, 1 ] ], nk: 3},
    18:   {name: "Bezirksklasse Dreiband Gr. B",   kat: "D", partie: [ [ "db",   30, 40, 1, 1 ], [ "db",   30, 40,  1, 1 ], [ "db",   30, 40, 1, 1 ], [ "db",   30, 40, 1, 1 ] ], nk: 3},
    19:   {name: "Kreisliga Dreiband Gr. A",       kat: "D", partie: [ [ "db",   25, 40, 1, 1 ], [ "db",   25, 40,  1, 1 ], [ "db",   25, 40, 1, 1 ], [ "db",   25, 40, 1, 1 ] ], nk: 3},
    20:   {name: "Kreisliga Dreiband Gr. B",       kat: "D", partie: [ [ "db",   25, 40, 1, 1 ], [ "db",   25, 40,  1, 1 ], [ "db",   25, 40, 1, 1 ], [ "db",   25, 40, 1, 1 ] ], nk: 3},
    21:   {name: "Kreisliga Dreiband Gr. C",       kat: "D", partie: [ [ "db",   25, 40, 1, 1 ], [ "db",   25, 40,  1, 1 ], [ "db",   25, 40, 1, 1 ], [ "db",   25, 40, 1, 1 ] ], nk: 3},
    22:   {name: "Kreisklasse Dreiband Gr. A",     kat: "D", partie: [ [ "db",   20, 40, 1, 1 ], [ "db",   20, 40,  1, 1 ], [ "db",   20, 40, 1, 1 ], [ "db",   20, 40, 1, 1 ] ], nk: 3},
    23:   {name: "Kreisklasse Dreiband Gr. B",     kat: "D", partie: [ [ "db",   20, 40, 1, 1 ], [ "db",   20, 40,  1, 1 ], [ "db",   20, 40, 1, 1 ], [ "db",   20, 40, 1, 1 ] ], nk: 3},
    24:   {name: "Kreisklasse Dreiband Gr. C",     kat: "D", partie: [ [ "db",   20, 40, 1, 1 ], [ "db",   20, 40,  1, 1 ], [ "db",   20, 40, 1, 1 ], [ "db",   20, 40, 1, 1 ] ], nk: 3},
    25:   {name: "Oberliga Dreiband MB",           kat: "G", partie: [ [ "db",   40, 60, 1, 1 ], [ "db",   40, 60,  1, 1 ], [ "db",   40, 60, 1, 1 ], [ "db",   40, 60, 1, 1 ] ], nk: 3},
    26:   {name: "Verbandsliga Dreiband MB Gr. A", kat: "G", partie: [ [ "db",   30, 50, 1, 1 ], [ "db",   30, 50,  1, 1 ], [ "db",   30, 50, 1, 1 ], [ "db",   30, 50, 1, 1 ] ], nk: 3},
    27:   {name: "Verbandsliga Dreiband MB Gr. B", kat: "G", partie: [ [ "db",   30, 50, 1, 1 ], [ "db",   30, 50,  1, 1 ], [ "db",   30, 50, 1, 1 ], [ "db",   30, 50, 1, 1 ] ], nk: 3},
    28:   {name: "Landesliga Dreiband MB Gr. A",   kat: "G", partie: [ [ "db",   25, 50, 1, 1 ], [ "db",   25, 50,  1, 1 ], [ "db",   25, 50, 1, 1 ], [ "db",   25, 50, 1, 1 ] ], nk: 3},
    29:   {name: "Landesliga Dreiband MB Gr. B",   kat: "G", partie: [ [ "db",   25, 50, 1, 1 ], [ "db",   25, 50,  1, 1 ], [ "db",   25, 50, 1, 1 ], [ "db",   25, 50, 1, 1 ] ], nk: 3},
    30:   {name: "Oberliga Mehrkampf MB",          kat: "M", partie: [ [ "fp",  200, 20, 8, 8 ], [ "eb",   80, 25, 24, 3 ], [ "c47", 150, 20, 8, 4 ], [ "c71", 125, 20, 9, 3 ] ], nk: 2},
    200:  {name: "Bundesliga Dreiband",            kat: "G", partie: [ [ "db",   50, 99, 1, 1 ], [ "db",   50, 99,  1, 1 ], [ "db",   40, 99, 1, 1 ], [ "db",   40, 99, 1, 1 ] ], nk: 3},
    201:  {name: "2. Bundesliga Dreiband Gr. A",   kat: "G", partie: [ [ "db",   40, 60, 1, 1 ], [ "db",   40, 60,  1, 1 ], [ "db",   40, 60, 1, 1 ], [ "db",   40, 60, 1, 1 ] ], nk: 3},
    202:  {name: "2. Bundesliga Dreiband Gr. B",   kat: "G", partie: [ [ "db",   40, 60, 1, 1 ], [ "db",   40, 50,  1, 1 ], [ "db",   40, 60, 1, 1 ], [ "db",   40, 60, 1, 1 ] ], nk: 3},
    203:  {name: "Deutsche Mehrkampfliga",         kat: "M", partie: [ [ "fp",  300, 15, 8, 8 ], [ "eb",  100, 20, 24, 3 ], [ "c47", 200, 15, 8, 4 ], [ "c71", 150, 15, 9, 3 ] ], nk: 2},

    "-1": {name: "--- nicht angegeben ---",        kat: "?", partie: [ [ "",      0,  0, 1, 1 ], [ "",      0,  0,  1, 1 ], [ "",      0,  0, 1, 1 ], [ "",      0,  0, 1, 1 ] ], nk: 3},
}; // oKlasse


//
// Vereine
//
// pro Verein eine Zeile in der Form
//   Vereinsnummer:{name=Name, sort=Sortierstring},
var oVerein =
{
    // Billardkreis Gelsenkirchen-Wattenscheid
    3101: {sort: "GelB", name: "Gelsenkirchener BC"},
    3102: {sort: "BisG", name: "GWR Bismarck"},
    3103: {sort: "BisE", name: "Elfb. Bismarck"},
    3105: {sort: "BueG", name: "GT Buer"},
    3109: {sort: "GelG", name: "Gut Stoß Gelsenkirchen"},
    3112: {sort: "Hors", name: "SB Horst"},
    3113: {sort: "Hass", name: "GW Hassel"},
    3114: {sort: "Watt", name: "Bfr. Wattenscheid"},
    3118: {sort: "BueW", name: "GW Buer"},
    3121: {sort: "Hont", name: "Elfb. Höntrop"},
    3122: {sort: "Leit", name: "Kickser Leithe"},
    3125: {sort: "Ucke", name: "BG Ückendorf"},
    3130: {sort: "Nord", name: "BC Nordstern"},
    // Billardverband Rhein-Ruhr-Ems
    3201: {sort: "Bott", name: "Bottroper BA"},
    3202: {sort: "Marl", name: "BSV Marl"},
    3203: {sort: "Dors", name: "BC Dorsten"},
    3204: {sort: "Fuhl", name: "BC Fuhlenbrock"},
    // Billardkreis Ruhr-Emscher
    3301: {sort: "Merk", name: "ABC Merklinde"},
    3303: {sort: "HerS", name: "BC Herne-Stamm"},
    3304: {sort: "Kruz", name: "BC Krüzkämper"},
    3305: {sort: "Kalt", name: "TuS Kaltehardt"},
    3307: {sort: "SchC", name: "BC Schwerin"},
    3310: {sort: "Witt", name: "BCC Witten"},
    3311: {sort: "Datt", name: "Bfr. Datteln"},
    3312: {sort: "Gert", name: "Bfr. Gerthe"},
    3314: {sort: "SchF", name: "Bfr. Schwerin"},
    3316: {sort: "Weit", name: "Bfr. Weitmar"},
    3317: {sort: "Boch", name: "DBC Bochum"},
    3318: {sort: "WanR", name: "BG Wanne/Riemke"},
    3319: {sort: "HerF", name: "F.d.G. Herne"},
    3321: {sort: "Wann", name: "GW Wanne"},
    3322: {sort: "Hatt", name: "HBV Hattingen"},
    3323: {sort: "Reck", name: "BC Recklinghausen"},
    // Billardkreis Dortmund
    3401: {sort: "Schw", name: "BC BW Schwerte"},
    3402: {sort: "Lind", name: "Tümmler Lindenhorst"},
    3404: {sort: "Unna", name: "BG Unna"},
    3406: {sort: "Eich", name: "BC Eichlinghofen"},
    3408: {sort: "Gute", name: "DJK Gütersloh"},
    3409: {sort: "Pade", name: "SC GW Paderborn"},
    3411: {sort: "Kame", name: "BSV Kamen"},
    3412: {sort: "Vers", name: "Spvg. Versmold"},
    3414: {sort: "Hohe", name: "BSV Hohenlimburg"},
    3416: {sort: "IseO", name: "Ostend Iserlohn"},
    3417: {sort: "IseF", name: "Füchse Iserlohn"},
    3420: {sort: "Sieg", name: "BG Siegerland"},
    // Billardkreis Münsterland
    3701: {sort: "Muen", name: "BG Münster"},
    3702: {sort: "Stad", name: "BC Stadtlohn"},
    3704: {sort: "Coes", name: "BG Coesfeld"},
    3705: {sort: "Nord", name: "Grenzland Nordhorn"},
    3706: {sort: "Osna", name: "Osnabrücker BC"},
    3707: {sort: "Rhei", name: "TV Rheine"},
    3708: {sort: "Vred", name: "BC Vreden"},
    // Billardverband Niederrhein
    4000: {sort: "Xant", name: "AGB Xanten"},
    4001: {sort: "BFS", name: "Bfr. Schwelm"},

    "-1": {sort: "ZZZZ", name: "--- nicht angegeben ---"}
}; // oVerein
